콘텐츠로 건너뛰기

Image Editing Youtube Thumbnails

통합

모델 id image-editing/youtube-thumbnails
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-editing/youtube-thumbnails?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.04 40 API 크레딧 · ≈ ₽4.22 이 페이지에서 실행

API 키 받기
Utility · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

기본값 Generate youtube thum...

YouTube 썸네일에 표시할 텍스트입니다.

•필수 image_url
파일을 끌어다 놓거나

YouTube 썸네일 스타일로 변환할 원본 이미지 URL입니다.

고급 guidance_scale · num_inference_steps · lora_scale · seed · enable_safety_checker
기본값 3.5

이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.

기본값 30

샘플링 중 사용되는 추론 단계 수입니다.

기본값 0.5

LoRA 모델을 조정해 적용하는 LoRA 기여도의 강도입니다.

재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.

POST /run/image-editing/youtube-thumbnails?wait=20 견적 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-editing/youtube-thumbnails?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Image Editing Youtube Thumbnails 정보

`image_url`의 이미지를 썸네일 스타일 그래픽으로 변환합니다. `prompt`에 썸네일에 포함할 텍스트를 입력합니다. `lora_scale`의 기본값은 0.5이며 범위는 0~4입니다. `guidance_scale`, `num_inference_steps`, `enable_safety_checker`, `seed`도 사용할 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
YouTube 썸네일 스타일로 변환할 원본 이미지 URL입니다.
guidance_scale선택 사항
유형number
기본값3.5
0 – 20
이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.
num_inference_steps선택 사항
유형integer
기본값30
1 – 50
샘플링 중 사용되는 추론 단계 수입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
생성 이미지의 안전성 검사를 활성화할지 제어합니다.
lora_scale선택 사항
유형number
기본값0.5
0 – 4
LoRA 모델을 조정해 적용하는 LoRA 기여도의 강도입니다.
seed선택 사항
유형integer | null
재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.
prompt선택 사항
유형string
기본값Generate youtube thumbnails
YouTube 썸네일에 표시할 텍스트입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-editing/youtube-thumbnails",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}
seed
integer

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/image-editing/youtube-thumbnails.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt